package me.asofold.bpl.morecommands.command.capability;

import me.asofold.bpl.morecommands.MoreCommands;
import me.asofold.bpl.morecommands.command.AbstractCommand;

import org.bukkit.GameMode;
import org.bukkit.command.Command;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;

public class OrdinaryCommand extends AbstractCommand<MoreCommands> {

    public OrdinaryCommand(MoreCommands access) {
        super(access, "ordinary", "morecommands.command.ordinary");
    }

    @Override
    public boolean onCommand(CommandSender sender, Command command, String alias, String[] args) {

        if (!demandPlayer(sender)) {
            return true;
        }

        Player player = (Player) sender;
        if (player.isOp()) {
            player.setOp(false);
        }
        switch (player.getGameMode()) {
            case SURVIVAL:
            case ADVENTURE:
                break;
            default:
                player.setGameMode(GameMode.SURVIVAL);
                break;

        }
        if (player.isFlying() || player.getAllowFlight()) {
            player.setAllowFlight(false);
            player.setFlying(false);
        }

        return true;
    }

}
