package me.asofold.bpl.morecommands.command.teleport;

import me.asofold.bpl.morecommands.MoreCommands;
import me.asofold.bpl.morecommands.command.AbstractCommand;

import org.bukkit.command.Command;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;

public class SpawnCommand extends AbstractCommand<MoreCommands> {

    public SpawnCommand(MoreCommands access) {
        super(access, "spawn", "morecommands.command.spawn");
    }

    @Override
    public boolean onCommand(CommandSender sender, Command command, String alias, String[] args) {
        if (!demandPlayer(sender)) {
            return true;
        }
        Player player = (Player) sender;
        player.teleport(player.getWorld().getSpawnLocation().clone());
        return true;
    }

}
