package me.asofold.bpl.morecommands.command;



import me.asofold.bpl.morecommands.MoreCommands;
import me.asofold.bpl.morecommands.command.action.FoodCommand;
import me.asofold.bpl.morecommands.command.action.HealCommand;
import me.asofold.bpl.morecommands.command.action.SetEffectCommand;
import me.asofold.bpl.morecommands.command.capability.OpCommand;
import me.asofold.bpl.morecommands.command.capability.OrdinaryCommand;
import me.asofold.bpl.morecommands.command.capability.PermissionsCommand;
import me.asofold.bpl.morecommands.command.editworld.PyramidCommand;
import me.asofold.bpl.morecommands.command.editworld.SetRadiusCommand;
import me.asofold.bpl.morecommands.command.editworld.SnowLayerCommand;
import me.asofold.bpl.morecommands.command.environment.DayCommand;
import me.asofold.bpl.morecommands.command.moving.FlyCommand;
import me.asofold.bpl.morecommands.command.moving.FlySpeedCommand;
import me.asofold.bpl.morecommands.command.moving.VelocityCommand;
import me.asofold.bpl.morecommands.command.moving.WalkSpeedCommand;
import me.asofold.bpl.morecommands.command.teleport.SetSpawnCommand;
import me.asofold.bpl.morecommands.command.teleport.SpawnCommand;

public class MoreCommandsCommand extends AbstractCommand<MoreCommands> {

    public MoreCommandsCommand(MoreCommands access) {
        super(access, "morecommands", "morecommands.filter.morecommands", new String[] {"more"});
        addSubCommands(
                new DayCommand(access),
                new FlyCommand(access),
                new FlySpeedCommand(access),
                new FoodCommand(access),
                new HealCommand(access),
                new OpCommand(access),
                new OrdinaryCommand(access),
                new PermissionsCommand(access),
                new PyramidCommand(access),
                new SetEffectCommand(access),
                new SetRadiusCommand(access),
                new SetSpawnCommand(access),
                new SnowLayerCommand(access),
                new SpawnCommand(access),
                new VelocityCommand(access),
                new WalkSpeedCommand(access)
                );
    }

}
