package me.asofold.bpl.morecommands.command.capability;

import me.asofold.bpl.morecommands.MoreCommands;
import me.asofold.bpl.morecommands.command.AbstractCommand;

import org.bukkit.GameMode;
import org.bukkit.command.Command;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;

public class OpCommand extends AbstractCommand<MoreCommands> {

    public OpCommand(MoreCommands access) {
        super(access, "op", "morecommands.command.op");
    }

    @Override
    public boolean onCommand(CommandSender sender, Command command, String alias, String[] args) {
        if (!demandPlayer(sender)) {
            return true;
        }
        Player player = (Player ) sender;
        if (!player.isOp()) {
            player.setOp(true);
        }
        if (player.getGameMode() != GameMode.CREATIVE) {
            player.setGameMode(GameMode.CREATIVE);
        }
        if (!player.getAllowFlight() || !player.isFlying()) {
            player.setAllowFlight(true);
            player.setFlying(true);
        }
        player.sendMessage("Ensure OP + CREATIVE + FLY");
        return true;
    }

}
