package me.asofold.bpl.morecommands.command.environment;

import me.asofold.bpl.morecommands.MoreCommands;
import me.asofold.bpl.morecommands.command.AbstractCommand;

import org.bukkit.Bukkit;
import org.bukkit.command.Command;
import org.bukkit.command.CommandSender;

public class DayCommand extends AbstractCommand<MoreCommands> {

    public DayCommand(MoreCommands access) {
        super(access, "day", "morecommands.command.day", new String[]{"weather"});
    }

    @Override
    public boolean onCommand(CommandSender sender, Command command, String alias, String[] args) {
        for (String followUp : new String[]{
                "weather clear",
                "time set day"
        }) {
            Bukkit.getServer().dispatchCommand(Bukkit.getConsoleSender(), followUp);
        }
        return true;
    }

}
