package me.asofold.bpl.morecommands.command.moving;

import me.asofold.bpl.morecommands.MoreCommands;
import me.asofold.bpl.morecommands.command.AbstractCommand;

import org.bukkit.command.Command;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;

public class FlyCommand extends AbstractCommand<MoreCommands>{

    public FlyCommand(MoreCommands access) {
        super(access, "fly", "morecommands.command.fly");
        this.usage = "Players only: on/off or no args for toggle.";
    }

    @Override
    public boolean onCommand(CommandSender sender, Command command, String alias, String[] args) {
        if (!demandPlayer(sender)) {
            return false;
        }
        if (args.length > 2) {
            return false;
        }

        Player player = (Player) sender;

        String action = args.length == 1 ? "toggle" : args[1].toLowerCase();
        // Toggle
        if (action.equalsIgnoreCase("toggle") || action.equals("~")) {
            action = (player.isFlying() || player.getAllowFlight()) ? "off" : "on";
        }
        // Process on/off
        if (action.equals("on") || action.equals("yes") || action.equals("1") || action.equals("+")) {
            player.setAllowFlight(true);
            player.setFlying(true);
        }
        else if (action.equals("off") || action.equals("no") || action.equals("0") || action.equals("-")) {
            player.setFlying(false);
            player.setAllowFlight(false);
        } else {
            sender.sendMessage("Unknown option: " + args[1]);
            return false;
        }

        player.sendMessage("Fly: " + (player.isFlying() ? "on" : "off"));
        return true;

    }

}
