package me.asofold.bpl.morecommands.command.teleport;

import me.asofold.bpl.morecommands.MoreCommands;
import me.asofold.bpl.morecommands.command.AbstractCommand;

import org.bukkit.block.Block;
import org.bukkit.command.Command;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;

public class SetSpawnCommand extends AbstractCommand<MoreCommands> {

    public SetSpawnCommand(MoreCommands access) {
        super(access, "setspawn", "morecommands.command.setspawn");
    }

    @Override
    public boolean onCommand(CommandSender sender, Command command, String alias, String[] args) {
        if (!demandPlayer(sender)) {
            return true;
        }
        Player player = (Player) sender;
        Block block = player.getLocation().getBlock();
        player.getWorld().setSpawnLocation(block.getX(), block.getY(), block.getZ());
        player.sendMessage("Spawn location set to: " + block);
        return true;
    }

}
