package me.asofold.bpl.sce.command;

import me.asofold.bpl.sce.SimpleConfigEditor;

public class SCECommand extends AbstractCommand<SimpleConfigEditor> {

    public SCECommand(SimpleConfigEditor access) {
        super(access, "simpleconfigeditor", "simpleconfigeditor.filter.command");
        addSubCommands(
                new LoadCommand(access),
                new GetCommand(access),
                new SetCommand(access),
                new SaveCommand(access),
                new ClearCommand(access)
                );
        // Later:
        // TODO: options command (e.g. separator char)
        // TODO: mem
        // TODO: memadd (for lists)
        // TODO: set path mem
        // TODO: reload (reload an already loaded config)
        // TODO: path (change the path).
    }
    
}
